Bug 521001 - Fedora firefox cannot access a certain site.
Summary: Fedora firefox cannot access a certain site.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 11
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 05:32 UTC by Huub Schaeks
Modified: 2018-04-11 13:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:28:02 UTC


Attachments (Terms of Use)

Description Huub Schaeks 2009-09-03 05:32:19 UTC
Description of problem: The following page: https://www.1np.nl is not accessible using firefox as installed by the packagemanagement in Fedora 11. I have installed the same version of firefox into /opt using the vanilla mozilla download and found the page perfectly accessible.


Version-Release number of selected component (if applicable): Firefox 3.5.2


How reproducible: Works every time


Steps to Reproduce:
1.Start firefox
2.enter https://www.1np.nl as url
3.
  
Actual results: firefox displays this:
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>403 Forbidden</title>
</head><body>
<h1>Forbidden</h1>
<p>You don't have permission to access /
on this server.</p>
<p>Additionally, a 403 Forbidden
error was encountered while trying to use an ErrorDocument to handle the request.</p>
</body></html>



Expected results:
The website as displayed by, for instance, vanilla firefox downloaded from mozilla and installed into /opt.


Additional info:

Comment 1 Matěj Cepl 2009-09-24 16:00:59 UTC
This is weird: upstream binary works, lynx, links, curl, midori, epiphany/webkit all work, our firefox/i686 doesn't.

Comment 2 Matěj Cepl 2009-09-24 16:08:07 UTC
and firefox/x86_64 doesn't work either.

Comment 3 Martin Stransky 2009-09-24 18:11:51 UTC
and seamonkey 1.1.18 is broken too...strange.

Comment 4 Christopher Aillon 2009-09-24 23:23:39 UTC
Without debugging in depth, I'd point a finger at nss.

Comment 5 Matěj Cepl 2009-09-25 05:13:21 UTC
OK, kai?

Comment 6 Martin Stransky 2009-09-25 12:41:55 UTC
A package built with --without-system-nss loads the page ok.

Comment 7 Kai Engert (:kaie) (inactive account) 2009-09-30 17:02:07 UTC
This seems to be user agent thing.

Do this:
- use fedora 11
- use nspr+nss+xulrunner+firefox as provided by fedora
- visit https://www.1np.nl
=> failure

Now install the user agent switcher add-on
  https://addons.mozilla.org/en-US/firefox/addon/59
restart firefox

menu tools, edit user agent, new, new user agent

- description: plain
- remove contents of field "user agent" and copy/paste this:

Mozilla/5.0 (X11; U; Linux i686; de; rv:1.9.1.3) Gecko/20090909 Fedora/3.5.3-1.fc11 Firefox/3.5.3

(make sure you get the full line, despite a potential word wrap in bugzilla)

- clear the contents of fields "vendor" and "vendor sub"
- ok, ok

- use tools useragent and switch to "plain"
- go to https://www.1np.nl
=> SUCCESS!!!!!!

switch back end forth between user agent "default" and "plain", and you get "failure" and "success" respectively, even within a single session.

I believe this given web site has server side logic on complains based on certain user agents, and I'm very frustrated about having spent so much time searching for a problem at the NSS level.

Please, someone confirm and close this bug as invalid, thanks.

Comment 8 Kai Engert (:kaie) (inactive account) 2009-09-30 17:06:01 UTC
Martin, I'm surprised that your "--without-system-nss" build gave you success, it shouldn't have had an influence on the user agent.

I have played with various combinations of other NSS libraries, even replacing all systemwide nspr and nss .so files with ones from a download official mozilla binary (circumventing rpm) and I still had a failure with the fedora build.

Comment 9 Bug Zapper 2010-04-28 10:09:50 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-06-28 14:28:02 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.